/*
 * LaTeX Math in pure HTML and CSS -- No images whatsoever
 * v0.xa
 * by Jay and Han
 * Lesser GPL Licensed: http: //www.gnu.org/licenses/lgpl.html
 * 
 * This file is automatically included by mathquill.js
 * 
 */
.mathquill-editable,
.mathquill-rendered-math,
.mathquill-rendered-math .cursor,
.mathquill-rendered-math .underline,
.mathquill-rendered-math .overline,
.mathquill-rendered-math .font,
.mathquill-rendered-math sup,
.mathquill-rendered-math sub,
.mathquill-rendered-math .fraction,
.mathquill-rendered-math .sqrt-prefix,
.mathquill-rendered-math .sqrt-stem,
.mathquill-rendered-math .paren,
.mathquill-rendered-math .array,
.mathquill-rendered-math .block {
  display: -moz-inline-box;
  display: inline-block;
  padding-top: .075em; }

.mathquill-editable, .mathquill-embedded-latex .mathquill-editable {
  border: 1px solid gray;
  padding: 2px; }

.mathquill-embedded-latex .mathquill-editable {
  margin: 1px; }

.mathquill-textbox {
  overflow-x: auto;
  overflow-y: hidden;
  /*so IE8 won't show a vertical scrollbar*/ }

.mathquill-editable .textarea, .mathquill-rendered-math .textarea {
  position: relative;
  user-select: text;
  -moz-user-select: text;
  -webkit-user-select: text; }

.mathquill-editable .textarea textarea, .mathquill-rendered-math .textarea textarea, .mathquill-rendered-math .selectable {
  position: absolute;
  clip: rect(1em 1em 1em 1em);
  /* the only way to hide the textarea *and the blinking insertion point* in IE */
  user-select: text;
  -moz-user-select: text;
  -webkit-user-select: text; }

.mathquill-editable .cursor {
  border-left: 1px solid black;
  margin-right: -1px;
  position: relative;
  z-index: 1; }

.mathquill-editable .cursor.blink {
  visibility: hidden; }

.mathquill-editable.empty:after, .mathquill-textbox:after, .mathquill-rendered-math .empty:after {
  visibility: hidden;
  content: 'c'; }

/*separated from above because unrecognized pseudoclasses invalidate the entire selector*/
.mathquill-editable .cursor:only-child:after,
.mathquill-editable .textarea + .cursor:last-child:after {
  visibility: hidden;
  content: 'c'; }

.mathquill-rendered-math .matrixed {
  background: white; }

.mathquill-editable .selection,
.mathquill-rendered-math .selection,
.mathquill-editable .selection .mathquill-rendered-math,
.mathquill-rendered-math .selection .underline,
.mathquill-rendered-math .selection .overline,
.mathquill-rendered-math .selection .font,
.mathquill-rendered-math .selection sup,
.mathquill-rendered-math .selection sub,
.mathquill-rendered-math .selection .fraction,
.mathquill-rendered-math .selection .sqrt-prefix,
.mathquill-rendered-math .selection .sqrt-stem,
.mathquill-rendered-math .selection .paren,
.mathquill-rendered-math .selection .array,
.mathquill-editable .selection .matrixed,
.mathquill-rendered-math .selection .matrixed,
.mathquill-rendered-math .selection .block {
  background: #B4D5FE;
  background: Highlight;
  color: HighlightText;
  border-color: HighlightText; }

.mathquill-editable .selection.blur,
.mathquill-rendered-math .selection.blur,
.mathquill-editable .selection.blur .mathquill-rendered-math,
.mathquill-rendered-math .selection.blur .underline,
.mathquill-rendered-math .selection.blur .overline,
.mathquill-rendered-math .selection.blur .font,
.mathquill-rendered-math .selection.blur sup,
.mathquill-rendered-math .selection.blur sub,
.mathquill-rendered-math .selection.blur .fraction,
.mathquill-rendered-math .selection.blur .sqrt-prefix,
.mathquill-rendered-math .selection.blur .sqrt-stem,
.mathquill-rendered-math .selection.blur .paren,
.mathquill-rendered-math .selection.blur .array,
.mathquill-editable .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .block {
  background: #D4D4D4;
  color: black;
  border-color: black; }

.mathquill-editable .selection .selection.blur,
.mathquill-rendered-math .selection .selection.blur,
.mathquill-editable .selection .selection.blur .mathquill-rendered-math,
.mathquill-rendered-math .selection .selection.blur .underline,
.mathquill-rendered-math .selection .selection.blur .overline,
.mathquill-rendered-math .selection .selection.blur .font,
.mathquill-rendered-math .selection .selection.blur sup,
.mathquill-rendered-math .selection .selection.blur sub,
.mathquill-rendered-math .selection .selection.blur .fraction,
.mathquill-rendered-math .selection .selection.blur .sqrt-prefix,
.mathquill-rendered-math .selection .selection.blur .sqrt-stem,
.mathquill-rendered-math .selection .selection.blur .paren,
.mathquill-rendered-math .selection .selection.blur .array,
.mathquill-editable .selection .selection.blur .matrixed,
.mathquill-rendered-math .selection .selection.blur .matrixed,
.mathquill-rendered-math .selection .selection.blur .block {
  background: #ABF; }

.mathquill-editable .selection.blur .selection.blur,
.mathquill-rendered-math .selection.blur .selection.blur,
.mathquill-editable .selection.blur .selection.blur .mathquill-rendered-math,
.mathquill-rendered-math .selection.blur .selection.blur .underline,
.mathquill-rendered-math .selection.blur .selection.blur .overline,
.mathquill-rendered-math .selection.blur .selection.blur .font,
.mathquill-rendered-math .selection.blur .selection.blur sup,
.mathquill-rendered-math .selection.blur .selection.blur sub,
.mathquill-rendered-math .selection.blur .selection.blur .fraction,
.mathquill-rendered-math .selection.blur .selection.blur .sqrt-prefix,
.mathquill-rendered-math .selection.blur .selection.blur .sqrt-stem,
.mathquill-rendered-math .selection.blur .selection.blur .paren,
.mathquill-rendered-math .selection.blur .selection.blur .array,
.mathquill-editable .selection.blur .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .selection.blur .block {
  background: #AAA;
  background: rgba(0, 0, 0, 0.15); }

.mathquill-editable, .mathquill-rendered-math {
  cursor: text;
  white-space: pre-wrap;
  font-family: Symbola, "Times New Roman", serif; }

.mathquill-rendered-math {
  font-variant: normal;
  font-weight: normal;
  font-style: normal;
  font-size: 115%;
  line-height: 1; }

.mathquill-rendered-math var, .mathquill-rendered-math .text, .mathquill-rendered-math .nonSymbola {
  font-family: "Times New Roman", Symbola, serif; }

.mathquill-rendered-math * {
  font-size: inherit;
  line-height: inherit;
  margin: 0;
  padding: 0;
  border-color: black;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none; }

.mathquill-editable.hasCursor,
.mathquill-rendered-math .latex-command-input.hasCursor {
  border-color: ActiveBorder; }

.mathquill-editable.hasCursor, .mathquill-editable .hasCursor {
  -webkit-box-shadow: #68B4DF 0 0 3px 2px;
  -moz-box-shadow: #68B4DF 0 0 3px 2px;
  box-shadow: #68B4DF 0 0 3px 2px; }

.mathquill-rendered-math .empty {
  background: #ccc; }

.mathquill-rendered-math.empty {
  background: transparent; }

.mathquill-rendered-math .text {
  font-size: 87%; }

.mathquill-rendered-math .font {
  font: 1em "Times New Roman", Symbola, serif; }

.mathquill-rendered-math .font * {
  font-family: inherit;
  font-style: inherit; }

.mathquill-rendered-math b,
.mathquill-rendered-math b.font {
  font-weight: bolder; }

.mathquill-rendered-math var,
.mathquill-rendered-math i,
.mathquill-rendered-math i.font {
  font-style: italic; }

.mathquill-rendered-math var.florin {
  /* florin looks so much better than italic f */
  margin: 0 -0.1em; }

.mathquill-rendered-math big {
  font-size: 125%; }

.mathquill-rendered-math .roman {
  font-style: normal; }

.mathquill-rendered-math .sans-serif {
  font-family: sans-serif, Symbola, serif; }

.mathquill-rendered-math .monospace {
  font-family: monospace, Symbola, serif; }

.mathquill-rendered-math .overline {
  border-top: 1px solid black;
  margin-top: 1px; }

.mathquill-rendered-math .underline {
  border-bottom: 1px solid black;
  margin-bottom: 1px; }

.mathquill-rendered-math sup, .mathquill-rendered-math sub {
  position: relative;
  font-size: 90%; }

.mathquill-rendered-math sup {
  vertical-align: .5em; }

.mathquill-rendered-math sub {
  vertical-align: -0.4em; }

.mathquill-rendered-math sup.nthroot {
  margin-right: -0.6em;
  margin-left: .2em;
  min-width: .5em; }

.mathquill-rendered-math sup.limit, .mathquill-rendered-math sub.limit,
.mathquill-rendered-math sup.nthroot {
  font-size: 80%; }

.mathquill-rendered-math sup.limit, .mathquill-rendered-math sup.nthroot {
  vertical-align: .8em; }

.mathquill-rendered-math sub.limit {
  vertical-align: -0.6em; }

.mathquill-rendered-math .binary-operator {
  padding: 0 .2em; }

.mathquill-rendered-math .unary-operator {
  padding-left: .2em; }

.mathquill-rendered-math sup .binary-operator,
.mathquill-rendered-math sub .binary-operator {
  padding: 0 .1em; }

.mathquill-rendered-math sup .unary-operator,
.mathquill-rendered-math sub .unary-operator {
  padding-left: .1em; }

.mathquill-rendered-math .fraction {
  font-size: 90%;
  text-align: center;
  vertical-align: -0.5em;
  padding: 0 .1em; }

.mathquill-rendered-math .fraction, x:-moz-any-link {
  /* Firefox 2 (and older?) only */
  display: -moz-groupbox;
  /* because display:inline-block is FUBAR in Gecko < 1.9.0 */ }

.mathquill-rendered-math .fraction, x:-moz-any-link, x:default {
  /* Firefox 3+ (Gecko 1.9.0+) */
  display: inline-block; }

.mathquill-rendered-math .numerator, .mathquill-rendered-math .denominator {
  display: block;
  padding-top: .075em; }

.mathquill-rendered-math .numerator {
  padding-left: .1em;
  padding-right: .1em; }

.mathquill-rendered-math .denominator {
  border-top: 1px solid;
  float: right;
  /* take out of normal flow to manipulate baseline */
  width: 100%; }

.mathquill-rendered-math sup .fraction, .mathquill-rendered-math sub .fraction {
  font-size: 70%;
  vertical-align: -0.4em; }

.mathquill-rendered-math sup .numerator, .mathquill-rendered-math sub .numerator {
  padding-bottom: 0; }

.mathquill-rendered-math sup .denominator, .mathquill-rendered-math sub .denominator {
  padding-top: 0; }

.mathquill-rendered-math .latex-command-input {
  color: inherit;
  font-family: "Courier New", monospace;
  border: 1px solid gray;
  padding-right: 1px;
  margin-right: 1px;
  margin-left: 2px; }

.mathquill-rendered-math .latex-command-input.empty {
  background: transparent; }

.mathquill-rendered-math .sqrt-prefix {
  padding-top: 0;
  position: relative;
  top: .1em;
  vertical-align: top;
  -webkit-transform-origin: top;
  -moz-transform-origin: top;
  -ms-transform-origin: top;
  -o-transform-origin: top;
  transform-origin: top; }

.mathquill-rendered-math .sqrt-stem {
  border-top: 1px solid;
  margin-top: 1px;
  padding-left: .15em;
  padding-right: .2em;
  margin-right: .1em; }

.mathquill-rendered-math .paren {
  padding: 0 .1em;
  vertical-align: bottom;
  -webkit-transform-origin: bottom center;
  -moz-transform-origin: bottom center;
  -ms-transform-origin: bottom center;
  -o-transform-origin: bottom center;
  transform-origin: bottom center; }

.mathquill-rendered-math .array {
  vertical-align: middle;
  text-align: center; }

.mathquill-rendered-math .array > span {
  display: block; }

.mathquill-rendered-math .non-italicized-function {
  padding-right: .2em; }

/*.mathquill-rendered-math .not {
  margin-right: -.75em;
}*/
/*
 * editor/toolbar styles
 */
.mathquill-editor {
  padding: 10px;
  display: inline-block; }

.mathquill-toolbar {
  font-family: sans-serif, Arial, Verdana;
  font-size: 1em;
  margin: 0 -4px 10px;
  position: relative;
  overflow: hidden;
  z-index: 101; }

.mathquill-tab-bar {
  padding: 8px 8px 2px 16px;
  margin: 0 0 -2px;
  line-height: 1.5;
  font-size: 9pt;
  list-style: none;
  overflow: hidden;
  display: block;
  background: #aaa; }

.mathquill-tab-bar li {
  color: #555;
  background: #ccc;
  border-color: #999;
  border-width: 1px 1px 0 1px;
  border-style: solid;
  -moz-border-radius-topright: 4px;
  -moz-border-radius-topleft: 4px;
  -webkit-border-radius-topright: 4px;
  -webkit-border-radius-topleft: 4px;
  border-top-right-radius: 4px;
  border-top-left-radius: 4px;
  margin: 0 4px 0 0;
  float: left;
  top: 1px;
  height: 2em;
  overflow: hidden;
  position: relative; }

.mathquill-tab-bar li.mathquill-tab-selected, .mathquill-tab-bar li#hover {
  background: #e8e8e8;
  border-color: #999; }

.mathquill-tab-bar li a {
  padding: 0 8px;
  line-height: 2em;
  color: #000;
  text-decoration: none;
  cursor: default;
  display: block; }

*:first-child + html .mathquill-tab-bar li a {
  /* IE7 only */
  padding: 0 7px; }

.mathquill-tab-bar a span {
  padding: 0 6px 0 0;
  line-height: inherit;
  font-weight: bold; }

.mathquill-toolbar-panes {
  border-top: 1px solid #999;
  border-bottom: 1px solid #aaa;
  background: #e8e8e8;
  overflow: hidden; }

.mathquill-tab-pane {
  margin: 0 -100% 0 0;
  width: 100%;
  visibility: hidden;
  float: left; }

.mathquill-tab-pane-selected {
  visibility: visible;
  margin: 0; }

.mathquill-tab-pane ul {
  margin: 0;
  padding: 6px 12px;
  overflow: hidden;
  line-height: 1;
  list-style: none; }

.mathquill-tab-pane li {
  overflow: hidden;
  display: block;
  float: left;
  height: 1.5em;
  margin: 0 -4px 3px;
  padding: 4px 6px 0;
  text-align: center;
  background: #eee;
  border-top: 1px solid #fff;
  border-bottom: 1px solid #ccc; }

.mathquill-tab-pane li.mathquill-button-spacer {
  background: transparent;
  border-color: transparent;
  width: 10px; }

.mathquill-tab-pane li a {
  display: block;
  font-size: 0.9em;
  width: 1.5em;
  height: 1.4em; }

.mathquill-tab-pane li a:hover {
  background-color: #adcddf; }

.mathquill-toolbar * {
  cursor: default !important; }
